/**
 * Vertically center Bootstrap 3 modals so they aren't always stuck at the top
 */

var preselect = 9;

function reposition() {
    var modal = $(this),
        dialog = modal.find('.modal-dialog');
    modal.css('display', 'block');
    // Dividing by two centers the modal exactly, but dividing by three
    // or four works better for larger screens.
    dialog.css("margin-top", Math.max(0, ($(window).height() - dialog.height()) / 2));
}



function submit_assessment_score(day, topic_id, score) {
    console.log(score, topic_id);
    var csrf_aaa_onboarding = $("input[name=csrf_aaa_onboarding]").val();
    $.ajax({
        type: 'post',
       // url: base_url + 'dashboard/submit_score',
        data: {topic_id: topic_id, score: score, is_assessment: true, csrf_aaa_onboarding: csrf_aaa_onboarding},
        dataType: 'json',
        success: function (result) {
            if (result.status) {
            }
        }
    });
}


$(document).ready(function () {
    // Fixed Menu on Scroll
	
    var nav = $('.navbar-default');
    $(window).scroll(function () {
        if ($(this).scrollTop() > 125) {
            nav.addClass("f-nav");
        } else {
            nav.removeClass("f-nav");
        }
    });
	init_site();
});

function init_site(){
	
	
    var baseUrl = (window.location).href; // You can also use document.URL
    var getTopic = baseUrl.substring(baseUrl.lastIndexOf('#') + 1);
    var topicId = getTopic.substring(5);
    if (!isNaN(topicId)) {
        $('.stepCar').hide();
        $('#stepCarId_' + topicId).show();
    }
    else {
        $('.stepCar').hide();
        $('#stepCarId_' + 1).show();
    }
    $('#profile-pic')
        .load(function () {
            $("#upfile1").css("width", $('#profile-pic').width());
        });
    /*********** Vertical align center **********/
    $('.modal').on('show.bs.modal', reposition);
    $('.modal').on('shown.bs.modal', reposition);
    $(window).on('resize', function () {
        $('.modal:visible').each(reposition);
    });
    /****************** Login *************/
    $("#login-error").hide();
    $("#login-success").hide();
    $("#login-form").submit(function (e) {
        e.preventDefault();
        var $form = $(e.target);
        $("#login-error").show();
        $("#login-error").text("Please wait...We are checking your info.");
        $.post($form.attr('action'), $form.serialize(), function (result) {
            if (result.status) {
                $('input[type="submit"]').removeAttr('disabled');
                $("#login-error").hide();
                $("#login-success").text(result.data);
                $("#login-success").show();
                window.location.href = result.redirect_url;
            } else {
                $('input[type="submit"]').removeAttr('disabled');
                $("#login-error").text(result.data);
                $("#login-error").show();
            }
        }, 'json');
    });
    /****************** Login *************/
    $("#change-password-error").hide();
    $("#change-password-success").hide();
    $("#change-password-form").submit(function (e) {
        e.preventDefault();
        var $form = $(e.target);
        $("#change-password-error").text("Please wait...We are updating your password.");
        $.post($form.attr('action'), $form.serialize(), function (result) {
            if (result.status) {
                $('input[type="submit"]').removeAttr('disabled');
                $("#change-password-error").hide();
                $("#change-password-success").text(result.data);
                $("#change-password-success").show();
                window.location.href = current_url;
            } else {
                $("#change-password-success").hide();
                $('input[type="submit"]').removeAttr('disabled');
                $("#change-password-error").text(result.data);
                $("#change-password-error").show();
            }
        }, 'json');
    });

    var flag = true;
    /*********** Top Header Actions *************/
    $("#notification-link").click(function () {
        var $this = $(this);
        $this.parents('.notification-nav').find('.notification-container').fadeToggle(300);
        $('#profile-notification-container').hide();
        $('#menu-container').hide();
        $("#notification_count").fadeOut("slow");
        if (flag && total_user_notifications > 0) {
            flag = false;
            notification_read();
        }
        return false;
    });
    function notification_read() {
        jQuery.ajax({
            url: base_url + 'user/read_notification',
            success: function (result) {
                if (result.isOk == false) {
                }
            },
            async: false
        });
    }

    $("#profile-link").click(function () {
        $('#notification-container').hide();
        $('#menu-container').hide();
        var $this = $(this);
        $this.parents('.notification-nav').find('.notification-container').fadeToggle(300);
        $("#notification_count").fadeOut("slow");
        return false;
    });

    $("#menu-link").click(function () {
        $('#notification-container').hide();
        $('#profile-notification-container').hide();

        var $this = $(this);
        $this.parents('.notification-nav').find('.notification-container').fadeToggle(300);
        return false;
    });
    $(document).click(function () {
        $(".notification-container").hide();
    });

    /*********** End of Top Header Actions *************/
    /*********** Profile Page Actions *************/
    $('input[name="userfile1"]').change(function () {
        var filename = $(this).val();
        $('#file-name').html(filename + "<br/>");
    });

    $("#profile-form").submit(function (e) {
        var currentForm = this;
        e.preventDefault();
        var box = bootbox.confirm({
            size: 'small',
            message: 'Are you sure you want to proceed? You can change your profile details even after you proceed, by clicking your profile pic button on top',
            buttons: {
                'cancel': {
                    label: 'Not Now'
                },
                'confirm': {
                    label: 'Yes Proceed'
                }
            },
            callback: function (result) {
                if (result) {
                    currentForm.submit();
                }
            }
        });
        box.css({
            'top': '50%',
            'margin-top': function () {
                return -(box.height() / 2);
            }
        });

    });
    $(".avatar").imgCheckbox({ "graySelected": false, "radio": true, "canDeselect": true, "addToForm": true, "preselect": [preselect]});
    $("#upfile1").click(function () {
        $("#userfile1").trigger('click');
    });
    // init_video_payer();

    //***** Day1 T06 ****//
    var content = 1;

    $("[data-target]").click(function () {

	
        $('.contentBox').hide();
        if ($(this).attr("data-topic") != undefined) {
            var id = $(this).attr("data-target");
            var topicId = $(this).attr("data-topic").split("_")[1];
            var id = id.slice(1, id.length);
            var idTarget = $($("#" + id).find('.contentBox')[0]).attr('id');
            $('.stepCar').hide();

            $('#stepCarId_' + topicId).show();

        }


        //	alert("-"+topicId)
        //console.log(idTarget)


    });

	$(".dataTarget").click(function () {
		var id = $(this).attr("data-target");
        var id = id.slice(1,id.length);
        var idTarget = $($("#"+id).find('.contentBox')[0]).attr('id');
		
		
		if(idTarget != undefined)
		{
			//console.log(idTarget)
			if(idTarget.length <= 8 && idTarget!= undefined)
				idTarget = idTarget.slice(idTarget.length-1,idTarget.length);
			else
				idTarget = idTarget.slice(idTarget.length-2,idTarget.length);
			content = idTarget;
			$('#content'+content).show();
		}
	 });
	
	
       
        


    $('.btnNext').click(function () {
        content++;
        $('.contentBox').hide();
        $('#content' + content).show();
    });

    $('.btnPrevious').click(function () {
        content--;
        $('.contentBox').hide();
        $('#content' + content).show();
    });

    $('.flip-items li.flipster__item--current').data('clicks', 1);
}
$('.flip-items li').click(function () {
    var clicks = $(this).data('clicks');
    $(this).siblings('li').data('clicks', 0);

    if ($(this).hasClass('flipster__item--current') && clicks) {
        $($(this).data('target')).modal('show');
    }

    $(this).data('clicks', !clicks);
});

$('.modalPop').on('hidden.bs.modal', function () {
    //console.log( $(this).attr('id') );
    $('.flip-items li.flipster__item--current').data('clicks', 1);
});

$('#section1-modal-box1-1, #section1-modal-box2-1 ,#section1-modal-box2-2 , #section1-modal-box2-3, #section1-modal-box2-4, #section1-modal-box2-5, #section1-modal-box2-6, #section1-modal-box5-1, #section1-modal-box7-1, #section1-modal-box10-1, #section1-modal-box10-2, #section1-modal-box10-3, #section1-modal-box10-4, #section1-modal-box10-5, #section1-modal-box10-6, #section1-modal-box12-1, #section2-modal-box1-1, #section2-modal-box9-1').on('hidden.bs.modal', function () {

    try{
		$(("#"+$(this).attr('id') +" video"))[0].pause();
		
	}catch(err){
		
	}
	
	 $("#"+$(this).attr('id') +" iframe").attr("src", $("#"+$(this).attr('id') +" iframe").attr("src"));
	 
});

